Skip to main content
GET
/
alpha
/
svm
/
positions
/
{userId}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/svm/positions/{userId} \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "accountId": "<string>",
      "name": "<string>",
      "asset": {
        "accountId": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "balanceNative": "<string>",
        "balanceUsd": "<string>",
        "unclaimedNative": "<string>",
        "unclaimedUsd": "<string>",
        "assetLogo": "<string>"
      },
      "apy": {
        "base": 123,
        "reward": 123,
        "total": 123
      },
      "protocol": {
        "name": "<string>",
        "product": "<string>",
        "version": "<string>",
        "protocolLogo": "<string>"
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

userId
string
required

User wallet address

Minimum string length: 1

Query Parameters

apyInterval
enum<string>
default:7day

Interval for APY data. Possible values: 1day, 7day, 30day

Available options:
1day,
7day,
30day
minUsdAssetValueThreshold
number
default:1

Minimum USD value of the position to be included

Required range: x >= 0

Response

Default Response

data
object[]
required